Bug 185704 - emulators/klh10: Fix build on -current
emulators/klh10: Fix build on -current
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Martin Wilke
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-01-12 18:40 UTC by tkato432
Modified: 2014-01-28 08:50 UTC (History)
0 users

See Also:


Attachments
file.diff (8.74 KB, patch)
2014-01-12 18:40 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2014-01-12 18:40:06 UTC
- Fix build on -current

New file:
files/pkg-message.in
Comment 1 Martin Wilke freebsd_committer 2014-01-23 15:48:33 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 Martin Wilke freebsd_committer 2014-01-28 08:46:07 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 3 dfilter freebsd_committer 2014-01-28 08:46:07 UTC
Author: miwi
Date: Tue Jan 28 08:45:59 2014
New Revision: 341520
URL: http://svnweb.freebsd.org/changeset/ports/341520
QAT: https://qat.redports.org/buildarchive/r341520/

Log:
  - Fix clang build
  - Stage support
  
  PR:		185704
  Submitted by:	ports fury

Added:
  head/emulators/klh10/files/pkg-message.in   (contents, props changed)
Deleted:
  head/emulators/klh10/files/patch-src-Makefile.mk
Modified:
  head/emulators/klh10/Makefile
  head/emulators/klh10/files/patch-aa
  head/emulators/klh10/pkg-plist

Modified: head/emulators/klh10/Makefile
==============================================================================
--- head/emulators/klh10/Makefile	Tue Jan 28 08:44:11 2014	(r341519)
+++ head/emulators/klh10/Makefile	Tue Jan 28 08:45:59 2014	(r341520)
@@ -3,6 +3,7 @@
 
 PORTNAME=	klh10
 PORTVERSION=	2.0a
+PORTREVISION=	1
 CATEGORIES=	emulators
 MASTER_SITES=	http://klh10.trailing-edge.com/
 DISTFILES=	${DISTNAME}.tgz klh10-2.0a-aux.tgz
@@ -15,19 +16,17 @@ ONLY_FOR_ARCHS=	i386
 BUILD_WRKSRC=	${WRKSRC}/bld/fbx86
 INSTALL_WRKSRC=	${BUILD_WRKSRC}
 
-# KSITS_ prefix for Komputer Small Incompatible Timesharing System
-# a KLH10 configuration.
+# someday add support for base-kl and base-ks targets
+MAKE_ENV=		KLH10_HOME="${DATADIR}"
+ALL_TARGET=		base-ks-its
+
+SUB_FILES=		pkg-message
 
-# KSITS_KLH10_HOME and KSITS_DRIVER_DIR must be set to the same
-# locations that the its port uses.
+DATADIR=		${PREFIX}/share/${KSITS_KLH10_DIR}
+DOCSDIR=		${PREFIX}/share/doc/${KSITS_KLH10_DIR}
 
 KSITS_KLH10_DIR=	klh10-ks-its
-KSITS_KLH10_HOME=	${PREFIX}/share/${KSITS_KLH10_DIR}
 KSITS_DRIVER_DIR=	${PREFIX}/libexec/${KSITS_KLH10_DIR}
-KSITS_DOCDIR=		${PREFIX}/share/doc/${KSITS_KLH10_DIR}
-# someday add support for base-kl and base-ks targets
-MAKE_ENV+=		KLH10_HOME=${KSITS_KLH10_HOME}
-ALL_TARGET=		base-ks-its
 
 KSITS_NATIVE_PROGS=	kn10-ks \
 			tapedd \
@@ -76,47 +75,47 @@ KSITS_DOCS=		Intro.txt \
 			utils.txt \
 			vtape.txt
 
-NO_STAGE=	yes
-pre-install:
-	@ ${MKDIR} ${KSITS_KLH10_HOME}
-	@ ${MKDIR} ${KSITS_DRIVER_DIR}
-	@ ${MKDIR} ${KSITS_DOCDIR}
-
-post-install:
-.for file in ${KSITS_NATIVE_PROGS} ${KSITS_EM_DRIVERS} ${KSITS_EM_SDRIVERS}
-	@ ${STRIP_CMD} ${KSITS_KLH10_HOME}/${file}
-.endfor
-.for file in ${KSITS_NATIVE_PROGS}
-	@ ${MV} ${KSITS_KLH10_HOME}/${file} ${PREFIX}/bin
-.endfor
-.for file in ${KSITS_EM_DRIVERS} ${KSITS_EM_SDRIVERS}
-	@ ${MV} ${KSITS_KLH10_HOME}/${file} ${KSITS_DRIVER_DIR}
-.endfor
-.for file in ${KSITS_EM_SDRIVERS}
-	@ ${CHGRP} network ${KSITS_DRIVER_DIR}/${file}
-	@ ${CHMOD} 4754 ${KSITS_DRIVER_DIR}/${file}
-.endfor
-.for file in ${KSITS_EM_DAT}
-	@ ${INSTALL_DATA} ${WRKSRC}/run/ksits/${file} ${KSITS_KLH10_HOME}
-.endfor
-	@ ${INSTALL_MAN} ${WRKSRC}/run/ksits/README ${KSITS_DOCDIR}
-	@ ${MKDIR} ${KSITS_DOCDIR}/pubits/adm
-	@ ${MKDIR} ${KSITS_DOCDIR}/pubits/doc
-.for file in ${KSITS_DOCS}
-	@ ${INSTALL_MAN} ${WRKSRC}/doc/${file} ${KSITS_DOCDIR}
-.endfor
-.for file in ${KSITS_PUBADM}
-	@ ${INSTALL_MAN} ${WRKSRC}/run/ksits/pubits/adm/${file} \
-		${KSITS_DOCDIR}/pubits/adm
-.endfor
-.for file in ${KSITS_PUBDOC}
-	@ ${INSTALL_MAN} ${WRKSRC}/run/ksits/pubits/doc/${file} \
-		${KSITS_DOCDIR}/pubits/doc
-.endfor
-	@ ${INSTALL_MAN} ${FILESDIR}/PDPs ${KSITS_DOCDIR}
-	@ ${ECHO} !!! KLH10 contains a setuid that accepts network connections.
-	@ ${ECHO} !!! Consider using a firewall to limit access to KLH10.
-	@ ${ECHO} !!! See the ${KSITS_DOCDIR}/pubits/adm
-	@ ${ECHO} !!! for firewall documentation.
+post-patch:
+	@${FIND} ${WRKSRC} -name "*.c" | ${XARGS} ${REINPLACE_CMD} -e \
+		's|logf |log_f |g ; \
+		 s|logf,|log_f,|g ; \
+		 s|logf;|log_f;|g ; \
+		 s|logf)|log_f)|g'
+
+do-install:
+.for i in ${KSITS_NATIVE_PROGS}
+	cd ${INSTALL_WRKSRC} && ${INSTALL_PROGRAM} ${i} \
+		${STAGEDIR}${PREFIX}/bin
+.endfor
+	@ ${MKDIR} ${STAGEDIR}${KSITS_DRIVER_DIR}
+.for i in ${KSITS_EM_DRIVERS} ${KSITS_EM_SDRIVERS}
+	cd ${INSTALL_WRKSRC} && ${INSTALL_PROGRAM} ${i} \
+		${STAGEDIR}${KSITS_DRIVER_DIR}
+.endfor
+	@ ${MKDIR} ${STAGEDIR}${DATADIR}
+.for i in ${KSITS_EM_DAT}
+	cd ${WRKSRC}/run/ksits && ${INSTALL_DATA} ${i} \
+		${STAGEDIR}${DATADIR}
+.endfor
+	@ ${MKDIR} ${STAGEDIR}${DATADIR}/flushed
+	@ ${MKDIR} ${STAGEDIR}${DOCSDIR}
+	cd ${FILESDIR} && ${INSTALL_DATA} PDPs \
+		${STAGEDIR}${DOCSDIR}
+	cd ${WRKSRC}/run/ksits && ${INSTALL_DATA} README \
+		${STAGEDIR}${DOCSDIR}
+.for i in ${KSITS_DOCS}
+	cd ${WRKSRC}/doc && ${INSTALL_DATA} ${i} \
+		${STAGEDIR}${DOCSDIR}
+.endfor
+	@ ${MKDIR} ${STAGEDIR}${DOCSDIR}/pubits/adm
+.for i in ${KSITS_PUBADM}
+	cd ${WRKSRC}/run/ksits/pubits/adm && ${INSTALL_DATA} ${i} \
+		${STAGEDIR}${DOCSDIR}/pubits/adm
+.endfor
+	@ ${MKDIR} ${STAGEDIR}${DOCSDIR}/pubits/doc
+.for i in ${KSITS_PUBDOC}
+	cd ${WRKSRC}/run/ksits/pubits/doc && ${INSTALL_DATA} ${i} \
+		${STAGEDIR}${DOCSDIR}/pubits/doc
+.endfor
 
 .include <bsd.port.mk>

Modified: head/emulators/klh10/files/patch-aa
==============================================================================
--- head/emulators/klh10/files/patch-aa	Tue Jan 28 08:44:11 2014	(r341519)
+++ head/emulators/klh10/files/patch-aa	Tue Jan 28 08:45:59 2014	(r341520)
@@ -5,7 +5,7 @@
  # Build definitions
  SRC = ../../src
 -CFLAGS = -c -g3 -O -I. -I$(SRC)
-+CFLAGS += -c -g3 -O -I. -I$(SRC)
++CFLAGS += -c -I. -I$(SRC)
  CFLAGS_LINT = -ansi -pedantic -Wall -Wshadow \
                 -Wstrict-prototypes -Wmissing-prototypes \
                 -Wmissing-declarations -Wredundant-decls

Added: head/emulators/klh10/files/pkg-message.in
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/emulators/klh10/files/pkg-message.in	Tue Jan 28 08:45:59 2014	(r341520)
@@ -0,0 +1,4 @@
+!!! KLH10 contains a setuid that accepts network connections.
+!!! Consider using a firewall to limit access to KLH10.
+!!! See the %%DOCSDIR%%/pubits/adm
+!!! for firewall documentation.

Modified: head/emulators/klh10/pkg-plist
==============================================================================
--- head/emulators/klh10/pkg-plist	Tue Jan 28 08:44:11 2014	(r341519)
+++ head/emulators/klh10/pkg-plist	Tue Jan 28 08:45:59 2014	(r341520)
@@ -4,46 +4,51 @@ bin/udlconv
 bin/vdkfmt
 bin/wfconv
 bin/wxtest
+@group network
+@mode 4554
 libexec/klh10-ks-its/dpimp
+@mode
+@group
 libexec/klh10-ks-its/dprpxx
 libexec/klh10-ks-its/dptm03
-share/klh10-ks-its/@.ddt-u
-share/klh10-ks-its/@.its-647kn-u
-share/klh10-ks-its/@.nsalv-260-u
-share/klh10-ks-its/itsbin.647kn-u
-share/klh10-ks-its/klh10-kn.ini
-%%PORTDOCS%%share/doc/klh10-ks-its/pubits/adm/hosts.its
-%%PORTDOCS%%share/doc/klh10-ks-its/pubits/adm/its.ipfw
-%%PORTDOCS%%share/doc/klh10-ks-its/pubits/adm/rc.firewall-its
-%%PORTDOCS%%share/doc/klh10-ks-its/pubits/adm/router.notes
-%%PORTDOCS%%share/doc/klh10-ks-its/pubits/doc/bootload.files
-%%PORTDOCS%%share/doc/klh10-ks-its/pubits/doc/distrib.its
-%%PORTDOCS%%share/doc/klh10-ks-its/pubits/doc/dumpsys.help
-%%PORTDOCS%%share/doc/klh10-ks-its/Intro.txt
-%%PORTDOCS%%share/doc/klh10-ks-its/backgrnd.txt
-%%PORTDOCS%%share/doc/klh10-ks-its/cmdref.txt
-%%PORTDOCS%%share/doc/klh10-ks-its/cmdsum.txt
-%%PORTDOCS%%share/doc/klh10-ks-its/coding.txt
-%%PORTDOCS%%share/doc/klh10-ks-its/dfkfb.txt
-%%PORTDOCS%%share/doc/klh10-ks-its/dvhost.txt
-%%PORTDOCS%%share/doc/klh10-ks-its/history.txt
-%%PORTDOCS%%share/doc/klh10-ks-its/install.txt
-%%PORTDOCS%%share/doc/klh10-ks-its/kldiff.txt
-%%PORTDOCS%%share/doc/klh10-ks-its/klt10.txt
-%%PORTDOCS%%share/doc/klh10-ks-its/klt20.txt
-%%PORTDOCS%%share/doc/klh10-ks-its/ksits.txt
-%%PORTDOCS%%share/doc/klh10-ks-its/kst10.txt
-%%PORTDOCS%%share/doc/klh10-ks-its/kst20.txt
-%%PORTDOCS%%share/doc/klh10-ks-its/news.txt
-%%PORTDOCS%%share/doc/klh10-ks-its/PDPs
-%%PORTDOCS%%share/doc/klh10-ks-its/README
-%%PORTDOCS%%share/doc/klh10-ks-its/usage.txt
-%%PORTDOCS%%share/doc/klh10-ks-its/utils.txt
-%%PORTDOCS%%share/doc/klh10-ks-its/vtape.txt
-@dirrm share/klh10-ks-its/flushed
-@dirrm share/klh10-ks-its
+%%PORTDOCS%%%%DOCSDIR%%/Intro.txt
+%%PORTDOCS%%%%DOCSDIR%%/PDPs
+%%PORTDOCS%%%%DOCSDIR%%/README
+%%PORTDOCS%%%%DOCSDIR%%/backgrnd.txt
+%%PORTDOCS%%%%DOCSDIR%%/cmdref.txt
+%%PORTDOCS%%%%DOCSDIR%%/cmdsum.txt
+%%PORTDOCS%%%%DOCSDIR%%/coding.txt
+%%PORTDOCS%%%%DOCSDIR%%/dfkfb.txt
+%%PORTDOCS%%%%DOCSDIR%%/dvhost.txt
+%%PORTDOCS%%%%DOCSDIR%%/history.txt
+%%PORTDOCS%%%%DOCSDIR%%/install.txt
+%%PORTDOCS%%%%DOCSDIR%%/kldiff.txt
+%%PORTDOCS%%%%DOCSDIR%%/klt10.txt
+%%PORTDOCS%%%%DOCSDIR%%/klt20.txt
+%%PORTDOCS%%%%DOCSDIR%%/ksits.txt
+%%PORTDOCS%%%%DOCSDIR%%/kst10.txt
+%%PORTDOCS%%%%DOCSDIR%%/kst20.txt
+%%PORTDOCS%%%%DOCSDIR%%/news.txt
+%%PORTDOCS%%%%DOCSDIR%%/pubits/adm/hosts.its
+%%PORTDOCS%%%%DOCSDIR%%/pubits/adm/its.ipfw
+%%PORTDOCS%%%%DOCSDIR%%/pubits/adm/rc.firewall-its
+%%PORTDOCS%%%%DOCSDIR%%/pubits/adm/router.notes
+%%PORTDOCS%%%%DOCSDIR%%/pubits/doc/bootload.files
+%%PORTDOCS%%%%DOCSDIR%%/pubits/doc/distrib.its
+%%PORTDOCS%%%%DOCSDIR%%/pubits/doc/dumpsys.help
+%%PORTDOCS%%%%DOCSDIR%%/usage.txt
+%%PORTDOCS%%%%DOCSDIR%%/utils.txt
+%%PORTDOCS%%%%DOCSDIR%%/vtape.txt
+%%DATADIR%%/@.ddt-u
+%%DATADIR%%/@.its-647kn-u
+%%DATADIR%%/@.nsalv-260-u
+%%DATADIR%%/itsbin.647kn-u
+%%DATADIR%%/klh10-kn.ini
+@exec mkdir -p %D/%%DATADIR%%/flushed
+@dirrmtry %%DATADIR%%/flushed
+@dirrmtry %%DATADIR%%
+%%PORTDOCS%%@dirrm %%DOCSDIR%%/pubits/doc
+%%PORTDOCS%%@dirrm %%DOCSDIR%%/pubits/adm
+%%PORTDOCS%%@dirrm %%DOCSDIR%%/pubits
+%%PORTDOCS%%@dirrm %%DOCSDIR%%
 @dirrm libexec/klh10-ks-its
-%%PORTDOCS%%@dirrm share/doc/klh10-ks-its/pubits/adm
-%%PORTDOCS%%@dirrm share/doc/klh10-ks-its/pubits/doc
-%%PORTDOCS%%@dirrm share/doc/klh10-ks-its/pubits
-%%PORTDOCS%%@dirrm share/doc/klh10-ks-its
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"